Album: Rays and Frogs
Date: August 31, 2013
Date Added: April 13, 2024
URLs:
- https://devieus.bandcamp.com/album/rays-and-frogs
Artists:
- Devieus
Cover Artists:
- Devieus
Cover Art File Extension: png
Color: '#00FF7F'
Groups:
- Devieus
- Fandom
Commentary: |-
    <i>Devieus:</i>
    In this album, there are 4 songs that are pretty much identical, except for the instruments; that's because all frogs are pretty much the same, save one aspect. Eventually, they 'merge' to become the genesis frog, except it doesn't really merge, just becomes yet another variety.
---
Track: Rays of Sunshine
Duration: '1:30'
URLs:
- https://devieus.bandcamp.com/track/rays-of-sunshine
Commentary: |-
    <i>Devieus:</i>
    Yea it's in minor, but sunlight wasn't exactly the happy place for the trolls anyway.
---
Track: Frogs of Ground
Duration: '2:28'
URLs:
- https://devieus.bandcamp.com/track/frogs-of-ground
Commentary: |-
    <i>Devieus:</i>
    For this version, I used a dulicmer, pan flute and fingered bass sound.
---
Track: Frogs of Ice
Duration: '2:28'
Referenced Tracks:
- Frogs of Ground
URLs:
- https://devieus.bandcamp.com/track/frogs-of-ice
Commentary: |-
    <i>Devieus:</i>
    For this I used a crystal, fantasia and fretless bass sound.
---
Track: Frogs of Fire
Duration: '2:28'
Referenced Tracks:
- Frogs of Ground
URLs:
- https://devieus.bandcamp.com/track/frogs-of-fire
Commentary: |-
    <i>Devieus:</i>
    For this I used a charang, steel guitar and picked bass sound.
---
Track: Genesis Frog
Duration: '2:28'
Referenced Tracks:
- Frogs of Ground
URLs:
- https://devieus.bandcamp.com/track/genesis-frog
Commentary: |-
    <i>Devieus:</i>
    Rather than merging everything, I just went to basics with a square wave, 5th saw wave and charang sound; the charang returns, but does a different duty this time.

